Package: org.codehaus.groovy.ast.stmt

## [Java] Class TryCatchStatement

- org.codehaus.groovy.ast.stmt.TryCatchStatement

- Represents a try { ... } catch () finally {} statement in Groovy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TryCatchStatement (Statement tryStatement, Statement finallyStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addCatch(CatchStatement catchStatement)`
    `` | `void` | `addResource(ExpressionStatement resourceStatement)`
    `` | `CatchStatement` | `getCatchStatement(int idx)` Returns: the catch statement of the given index or null
    `` | `List<CatchStatement>` | `getCatchStatements()`
    `` | `Statement` | `getFinallyStatement()`
    `` | `ExpressionStatement` | `getResourceStatement(int idx)` Returns: the resource statement of the given index or null
    `` | `List<ExpressionStatement>` | `getResourceStatements()`
    `` | `Statement` | `getTryStatement()`
    `` | `static boolean` | `isResource(Expression expression)`
    `` | `void` | `setCatchStatement(int idx, CatchStatement catchStatement)`
    `` | `void` | `setFinallyStatement(Statement finallyStatement)`
    `` | `void` | `setTryStatement(Statement tryStatement)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, getConnection, isClosed, cancel, getWarnings, setFetchDirection, getFetchDirection, setFetchSize, getFetchSize, clearWarnings, getResultSet, getMoreResults, getMoreResults, setMaxFieldSize, getMaxFieldSize, getQueryTimeout, executeUpdate, executeUpdate, executeUpdate, executeUpdate, setQueryTimeout, executeQuery, setCursorName, getUpdateCount, getResultSetType, addBatch, setMaxRows, getMaxRows, isPoolable, enquoteIdentifier, getGeneratedKeys, getLargeMaxRows, isSimpleIdentifier, closeOnCompletion, executeBatch, clearBatch, setPoolable, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeBatch, enquoteLiteral, setLargeMaxRows, getResultSetConcurrency, isCloseOnCompletion, getLargeUpdateCount, getResultSetHoldability, setEscapeProcessing, enquoteNCharLiteral, unwrap, isWrapperFor`

- - ### Constructor Detail

    - #### public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

  - ### Method Detail

    - #### public void addCatch(CatchStatement catchStatement)

    - #### public void addResource(ExpressionStatement resourceStatement)

    - #### public CatchStatement getCatchStatement(int idx)

      Returns:
        the catch statement of the given index or null

    - #### public List<CatchStatement> getCatchStatements()

    - #### public Statement getFinallyStatement()

    - #### public ExpressionStatement getResourceStatement(int idx)

      Returns:
        the resource statement of the given index or null

    - #### public List<ExpressionStatement> getResourceStatements()

    - #### public Statement getTryStatement()

    - #### public static boolean isResource(Expression expression)

    - #### public void setCatchStatement(int idx, CatchStatement catchStatement)

    - #### public void setFinallyStatement(Statement finallyStatement)

    - #### public void setTryStatement(Statement tryStatement)

    - #### public void visit(GroovyCodeVisitor visitor)